%define name	mono-config
%define version	0.30
%define release	2mdk

Summary:	Mono-config maps dll names to versioned .so libraries.
Name:		%name
Version:	%version
Release:	%release
License:	GPL/LGPL/BSD
Group:		System/Libraries
Source0:	%name-0.30.config
URL:		http://www.go-mono.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Conflicts:	mono =< 0.30-2mdk

%description
Mono-config maps dll names to versioned .so libraries.
It is required by Mono.


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/mono
# manually install configfile.
# in a perfect world this would be generated dynamically
install -m644 %{SOURCE0} %{buildroot}%{_sysconfdir}/mono/config

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%dir %{_sysconfdir}/mono
%config %{_sysconfdir}/mono/config


%changelog
* Mon Feb 09 2004 Marcel Pol <mpol@mandrake.org> 0.30-2mdk
- update for glib

* Mon Feb 09 2004 Marcel Pol <mpol@mandrake.org> 0.30-1mdk
- split from main mono package

